org.eclipse.jgit.errors

## Class TooLargeObjectInPackException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.errors.TooLargeObjectInPackException

All Implemented Interfaces:
  Serializable

    public class TooLargeObjectInPackException
    extends IOException

Thrown when PackParser finds an object larger than a predefined limit

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TooLargeObjectInPackException(long maxObjectSizeLimit)` Construct a too large object in pack exception when the exact size of the too large object is not available.
`TooLargeObjectInPackException(long objectSize, long maxObjectSizeLimit)` Construct a too large object in pack exception when the exact size of the too large object is known.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TooLargeObjectInPackException

    public TooLargeObjectInPackException(long maxObjectSizeLimit)

Construct a too large object in pack exception when the exact size of the too large object is not available. This will be used when we find out that a delta sequence is already larger than the maxObjectSizeLimit but don't want to inflate the delta just to find out the exact size of the resulting object.

Parameters:
  `maxObjectSizeLimit` - the maximum object size limit

#### TooLargeObjectInPackException

    public TooLargeObjectInPackException(long objectSize,
                                         long maxObjectSizeLimit)

Construct a too large object in pack exception when the exact size of the too large object is known.

Parameters:
  `objectSize` -
  `maxObjectSizeLimit` -